package com.qxgmat.dto.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserQuestion;
import com.qxgmat.dto.extend.QuestionExtendDto;
import com.qxgmat.dto.extend.QuestionNoExtendDto;

import java.util.Date;

@Dto(entity = UserQuestion.class)
public class UserQuestionErrorListDto {
    private Integer id;

    private QuestionExtendDto question;

    private QuestionNoExtendDto questionNoExtendDto;

    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public QuestionExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionExtendDto question) {
        this.question = question;
    }

    public QuestionNoExtendDto getQuestionNoExtendDto() {
        return questionNoExtendDto;
    }

    public void setQuestionNoExtendDto(QuestionNoExtendDto questionNoExtendDto) {
        this.questionNoExtendDto = questionNoExtendDto;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
